package ir.apdroid.simplebook;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ListView;
import android.widget.SimpleAdapter;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

public class MainActivity extends AppCompatActivity {
    String[] index;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        init();
        main();
    }

    public void init(){
        index = new String[]{"داستان اول","داستان دوم","داستان سوم","داستان چهارم","داستان پنجم",
                "داستان ششم","داستان هفتم","داستان هشتم","داستان نهم","داستان دهم"};
    }

    public void main(){
        array2listview(index);
    }

    public void array2listview(final String[] strArray){
        List<HashMap<String,String>> aList = new ArrayList<HashMap<String,String>>();
        for(int i=0;i<strArray.length;i++){
            HashMap<String, String> hm = new HashMap<String,String>();
            hm.put("name", strArray[i]);
            aList.add(hm);
        }

        String[] from = {"name" };
        int[] to = {R.id.item};
        SimpleAdapter adapter = new SimpleAdapter(getBaseContext(), aList, R.layout.list, from, to);
        ListView listView = ( ListView ) findViewById(R.id.listView);
        listView.setAdapter(adapter);

        listView.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            public void onItemClick(AdapterView<?> parent, View view,
                                    int position, long id1) {

                Intent myIntent = new Intent(getBaseContext(), Activity2.class);
                myIntent.putExtra("str1", String.valueOf(position));
                startActivity(myIntent);

            }
        });
    }




}
